Subject: [TR] Leaking proportioning valve on my TR7

From: Creig Houghtaling <[email-masked]>
Date: Sun, 20 Jan 2013 21:33:40 -0600

I have a TR7 that I have been working on resurrecting.  As soon as I get one
thing fixed, something else pops up.  There is a long story about everything
I have been through.  But the short story is my current problem is brake
fluid leaking from the proportioning valve.  I wiped everything off and had
my daughter push the brake.  Fluid drips formed at the cap end closest to
the outer fender.  What is the repair for this?  Can new proportioning
valves be bought?  Is there a repair kit?  I have parts from several other
cars I have parted out.  Do I just swap one in and see what happens?  Or do
different 7's have different proportions?

Creig Houghtaling 314-401-7817
Local member of St. Louis Triumph Owners Association

** [email-masked] **

Archive: http://www.team.net/archive